<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_25) on Tue Nov 07 17:08:41 PST 2017 -->
<title>Index</title>
<meta name="date" content="2017-11-07">
<link rel="stylesheet" type="text/css" href="./stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Index";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="./xdc/services/getset/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="./overview-tree.html">Tree</a></li>
<li><a href="./deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="./help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="./index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="./allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="#_A_">A</a>&nbsp;<a href="#_C_">C</a>&nbsp;<a href="#_E_">E</a>&nbsp;<a href="#_F_">F</a>&nbsp;<a href="#_G_">G</a>&nbsp;<a href="#_H_">H</a>&nbsp;<a href="#_I_">I</a>&nbsp;<a href="#_O_">O</a>&nbsp;<a href="#_R_">R</a>&nbsp;<a href="#_S_">S</a>&nbsp;<a href="#_T_">T</a>&nbsp;<a href="#_X_">X</a>&nbsp;<a name="_A_">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="strong"><a href="./xdc/services/getset/Group.html#add(xdc.services.getset.Fxn)">add(Fxn)</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a></dt>
<dd>
<div class="block">Add a new Fxn to the group, and execute it once.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Group.html#addAuto(org.mozilla.javascript.Callable)">addAuto(Callable)</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a></dt>
<dd>
<div class="block">Wrap the given function body as an AutoFxn and add it to the
 group.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Getters.html#addGlobal(org.mozilla.javascript.Callable)">addGlobal(Callable)</a></span> - Static method in class xdc.services.getset.<a href="./xdc/services/getset/Getters.html" title="class in xdc.services.getset">Getters</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Setters.html#addGlobal(org.mozilla.javascript.Callable)">addGlobal(Callable)</a></span> - Static method in class xdc.services.getset.<a href="./xdc/services/getset/Setters.html" title="class in xdc.services.getset">Setters</a></dt>
<dd>
<div class="block">Add a setter that is called when any field changes value.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Fxn.html#addInput(xdc.services.intern.xsr.Value.Observable, java.lang.String)">addInput(Value.Observable, String)</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Fxn.html" title="class in xdc.services.getset">Fxn</a></dt>
<dd>
<div class="block">Mark the given field as a formal input to the Fxn.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Fxn.html#addInput(xdc.services.intern.xsr.Value.Observable, int)">addInput(Value.Observable, int)</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Fxn.html" title="class in xdc.services.getset">Fxn</a></dt>
<dd>
<div class="block">Mark a given array element as a formal input to the Fxn.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Fxn.html#addOutput(xdc.services.intern.xsr.Value.Observable, java.lang.String)">addOutput(Value.Observable, String)</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Fxn.html" title="class in xdc.services.getset">Fxn</a></dt>
<dd>
<div class="block">Mark the given field of the object as a formal output
 of the Fxn.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Fxn.html#addOutput(xdc.services.intern.xsr.Value.Observable, int)">addOutput(Value.Observable, int)</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Fxn.html" title="class in xdc.services.getset">Fxn</a></dt>
<dd>
<div class="block">Mark a given array element as a formal output of the Fxn.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Group.html#addStale(xdc.services.getset.Fxn)">addStale(Fxn)</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a></dt>
<dd>
<div class="block">Indicate that a Fxn in the group needs to be run.</div>
</dd>
<dt><a href="./xdc/services/getset/AutoFxn.html" title="class in xdc.services.getset"><span class="strong">AutoFxn</span></a> - Class in <a href="./xdc/services/getset/package-summary.html">xdc.services.getset</a></dt>
<dd>
<div class="block">A <a href="./xdc/services/getset/Fxn.html" title="class in xdc.services.getset"><code>Fxn</code></a> that automatically determines its own inputs and outputs.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/AutoFxn.html#AutoFxn(xdc.services.getset.Group, org.mozilla.javascript.Callable)">AutoFxn(Group, Callable)</a></span> - Constructor for class xdc.services.getset.<a href="./xdc/services/getset/AutoFxn.html" title="class in xdc.services.getset">AutoFxn</a></dt>
<dd>
<div class="block">Create a new AutoFxn that will execute the given body, as scheduled
 by the given Group.</div>
</dd>
</dl>
<a name="_C_">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="strong"><a href="./xdc/services/getset/Fxn.html#call(org.mozilla.javascript.Context, org.mozilla.javascript.Scriptable, org.mozilla.javascript.Scriptable, java.lang.Object[])">call(Context, Scriptable, Scriptable, Object[])</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Fxn.html" title="class in xdc.services.getset">Fxn</a></dt>
<dd>
<div class="block">A setter that is called whenever one of the inputs of the
 Fxn changes in value.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Getters.html#call(org.mozilla.javascript.Context, org.mozilla.javascript.Scriptable, org.mozilla.javascript.Scriptable, java.lang.Object[])">call(Context, Scriptable, Scriptable, Object[])</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Getters.html" title="class in xdc.services.getset">Getters</a></dt>
<dd>
<div class="block">The master getter function called by XDCscript.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Setters.html#call(org.mozilla.javascript.Context, org.mozilla.javascript.Scriptable, org.mozilla.javascript.Scriptable, java.lang.Object[])">call(Context, Scriptable, Scriptable, Object[])</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Setters.html" title="class in xdc.services.getset">Setters</a></dt>
<dd>
<div class="block">The master setter function called by XDCscript.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Scheduler.html#createGroup()">createGroup()</a></span> - Static method in class xdc.services.getset.<a href="./xdc/services/getset/Scheduler.html" title="class in xdc.services.getset">Scheduler</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="_E_">
<!--   -->
</a>
<h2 class="title">E</h2>
<dl>
<dt><span class="strong"><a href="./xdc/services/getset/Field.html#equals(java.lang.Object)">equals(Object)</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Field.html" title="class in xdc.services.getset">Field</a></dt>
<dd>
<div class="block">Two Field objects compare as equal() if they name the same field
 of the same XDCscript object instance.</div>
</dd>
</dl>
<a name="_F_">
<!--   -->
</a>
<h2 class="title">F</h2>
<dl>
<dt><a href="./xdc/services/getset/Field.html" title="class in xdc.services.getset"><span class="strong">Field</span></a> - Class in <a href="./xdc/services/getset/package-summary.html">xdc.services.getset</a></dt>
<dd>
<div class="block">An immutable object that identifies a specific field of a specific
 XDCscript object.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Field.html#Field(xdc.services.intern.xsr.Value.Observable, java.lang.String)">Field(Value.Observable, String)</a></span> - Constructor for class xdc.services.getset.<a href="./xdc/services/getset/Field.html" title="class in xdc.services.getset">Field</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Field.html#Field(xdc.services.intern.xsr.Value.Observable, int)">Field(Value.Observable, int)</a></span> - Constructor for class xdc.services.getset.<a href="./xdc/services/getset/Field.html" title="class in xdc.services.getset">Field</a></dt>
<dd>&nbsp;</dd>
<dt><a href="./xdc/services/getset/Fxn.html" title="class in xdc.services.getset"><span class="strong">Fxn</span></a> - Class in <a href="./xdc/services/getset/package-summary.html">xdc.services.getset</a></dt>
<dd>
<div class="block">A scheduled function in a Group.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Fxn.html#Fxn(xdc.services.getset.Group, org.mozilla.javascript.Callable)">Fxn(Group, Callable)</a></span> - Constructor for class xdc.services.getset.<a href="./xdc/services/getset/Fxn.html" title="class in xdc.services.getset">Fxn</a></dt>
<dd>
<div class="block">Create a new Fxn that will execute the given body, as scheduled
 by the given Group.</div>
</dd>
</dl>
<a name="_G_">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="strong"><a href="./xdc/services/getset/GetSetData.html#getData(xdc.services.intern.xsr.Value.Observable, java.lang.Object)">getData(Value.Observable, Object)</a></span> - Static method in class xdc.services.getset.<a href="./xdc/services/getset/GetSetData.html" title="class in xdc.services.getset">GetSetData</a></dt>
<dd>
<div class="block">Get the private data associated with a field of an object.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/GetSet.html#getDebug()">getDebug()</a></span> - Static method in class xdc.services.getset.<a href="./xdc/services/getset/GetSet.html" title="class in xdc.services.getset">GetSet</a></dt>
<dd>
<div class="block">Get whether to print debug trace.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Group.html#getMaxIterations()">getMaxIterations()</a></span> - Static method in class xdc.services.getset.<a href="./xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a></dt>
<dd>
<div class="block">Get the maximum number of iterations allowed in each group, as a
 debugging aid.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Setters.html#getMaxStackDepth()">getMaxStackDepth()</a></span> - Static method in class xdc.services.getset.<a href="./xdc/services/getset/Setters.html" title="class in xdc.services.getset">Setters</a></dt>
<dd>
<div class="block">Get the maximum allowed depth of recursively nested setters.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Field.html#getName()">getName()</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Field.html" title="class in xdc.services.getset">Field</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Field.html#getObject()">getObject()</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Field.html" title="class in xdc.services.getset">Field</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Group.html#getRunning()">getRunning()</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a></dt>
<dd>
<div class="block">Get the currently running function (unused?)</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Scheduler.html#getRunningFxn()">getRunningFxn()</a></span> - Static method in class xdc.services.getset.<a href="./xdc/services/getset/Scheduler.html" title="class in xdc.services.getset">Scheduler</a></dt>
<dd>
<div class="block">Get which Fxn is currently running, or null if none.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Scheduler.html#getRunningGroup()">getRunningGroup()</a></span> - Static method in class xdc.services.getset.<a href="./xdc/services/getset/Scheduler.html" title="class in xdc.services.getset">Scheduler</a></dt>
<dd>
<div class="block">Get which Group is currently running, or null if none.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Group.html#getScheduled()">getScheduled()</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a></dt>
<dd>
<div class="block">Ask if the Group has already been scheduled to be run</div>
</dd>
<dt><a href="./xdc/services/getset/GetSet.html" title="class in xdc.services.getset"><span class="strong">GetSet</span></a> - Class in <a href="./xdc/services/getset/package-summary.html">xdc.services.getset</a></dt>
<dd>
<div class="block">A helper class to add getters and setters to a field of an XDCscript
 object.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/GetSet.html#GetSet()">GetSet()</a></span> - Constructor for class xdc.services.getset.<a href="./xdc/services/getset/GetSet.html" title="class in xdc.services.getset">GetSet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="./xdc/services/getset/GetSetData.html" title="class in xdc.services.getset"><span class="strong">GetSetData</span></a> - Class in <a href="./xdc/services/getset/package-summary.html">xdc.services.getset</a></dt>
<dd>
<div class="block">Private data for the getters and setters.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/GetSetData.html#GetSetData()">GetSetData()</a></span> - Constructor for class xdc.services.getset.<a href="./xdc/services/getset/GetSetData.html" title="class in xdc.services.getset">GetSetData</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Fxn.html#getStale()">getStale()</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Fxn.html" title="class in xdc.services.getset">Fxn</a></dt>
<dd>
<div class="block">Get whether this Fxn needs to be executed.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Group.html#getStale()">getStale()</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a></dt>
<dd>
<div class="block">Ask if the group needs to be run.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Fxn.html#getStatus()">getStatus()</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Fxn.html" title="class in xdc.services.getset">Fxn</a></dt>
<dd>
<div class="block">Get the exit status from the last time this Fxn was executed.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/GetSetData.html#getters">getters</a></span> - Variable in class xdc.services.getset.<a href="./xdc/services/getset/GetSetData.html" title="class in xdc.services.getset">GetSetData</a></dt>
<dd>&nbsp;</dd>
<dt><a href="./xdc/services/getset/Getters.html" title="class in xdc.services.getset"><span class="strong">Getters</span></a> - Class in <a href="./xdc/services/getset/package-summary.html">xdc.services.getset</a></dt>
<dd>
<div class="block">A getter function to be added to a field of an XDCscript
 Value.Obj object.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Getters.html#Getters(java.lang.Object)">Getters(Object)</a></span> - Constructor for class xdc.services.getset.<a href="./xdc/services/getset/Getters.html" title="class in xdc.services.getset">Getters</a></dt>
<dd>&nbsp;</dd>
<dt><a href="./xdc/services/getset/Group.html" title="class in xdc.services.getset"><span class="strong">Group</span></a> - Class in <a href="./xdc/services/getset/package-summary.html">xdc.services.getset</a></dt>
<dd>
<div class="block">A group of <a href="./xdc/services/getset/Fxn.html" title="class in xdc.services.getset"><code>Fxn</code></a>s that are each run to completion before any other
 Fxn in the group.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Group.html#Group()">Group()</a></span> - Constructor for class xdc.services.getset.<a href="./xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a></dt>
<dd>
<div class="block">Create a new Group governed by the given scheduler</div>
</dd>
</dl>
<a name="_H_">
<!--   -->
</a>
<h2 class="title">H</h2>
<dl>
<dt><span class="strong"><a href="./xdc/services/getset/Field.html#hashCode()">hashCode()</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Field.html" title="class in xdc.services.getset">Field</a></dt>
<dd>
<div class="block">If objects compare equal, also return equal hash codes.</div>
</dd>
</dl>
<a name="_I_">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><span class="strong"><a href="./xdc/services/getset/GetSet.html#init(xdc.services.intern.xsr.Value.Observable)">init(Value.Observable)</a></span> - Static method in class xdc.services.getset.<a href="./xdc/services/getset/GetSet.html" title="class in xdc.services.getset">GetSet</a></dt>
<dd>
<div class="block">Initialize getter and setter support on every field.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/GetSet.html#init(xdc.services.intern.xsr.Value.Observable, java.lang.String)">init(Value.Observable, String)</a></span> - Static method in class xdc.services.getset.<a href="./xdc/services/getset/GetSet.html" title="class in xdc.services.getset">GetSet</a></dt>
<dd>
<div class="block">Initialize getter and setter support on a field, or other
 property labeled by an identifier.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/GetSet.html#init(xdc.services.intern.xsr.Value.Observable, int)">init(Value.Observable, int)</a></span> - Static method in class xdc.services.getset.<a href="./xdc/services/getset/GetSet.html" title="class in xdc.services.getset">GetSet</a></dt>
<dd>
<div class="block">Initialize getter and setter support on an array element,
 or other property with a numeric index.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Getters.html#init(xdc.services.intern.xsr.Value.Observable, java.lang.Object)">init(Value.Observable, Object)</a></span> - Static method in class xdc.services.getset.<a href="./xdc/services/getset/Getters.html" title="class in xdc.services.getset">Getters</a></dt>
<dd>
<div class="block">Add getter support to a field of an object.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Setters.html#init(xdc.services.intern.xsr.Value.Observable, java.lang.String)">init(Value.Observable, String)</a></span> - Static method in class xdc.services.getset.<a href="./xdc/services/getset/Setters.html" title="class in xdc.services.getset">Setters</a></dt>
<dd>
<div class="block">Add setter support to a field of an object.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Setters.html#init(xdc.services.intern.xsr.Value.Observable, int)">init(Value.Observable, int)</a></span> - Static method in class xdc.services.getset.<a href="./xdc/services/getset/Setters.html" title="class in xdc.services.getset">Setters</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="_O_">
<!--   -->
</a>
<h2 class="title">O</h2>
<dl>
<dt><span class="strong"><a href="./xdc/services/getset/GetSet.html#onGet(xdc.services.intern.xsr.Value.Observable, java.lang.String, org.mozilla.javascript.Callable)">onGet(Value.Observable, String, Callable)</a></span> - Static method in class xdc.services.getset.<a href="./xdc/services/getset/GetSet.html" title="class in xdc.services.getset">GetSet</a></dt>
<dd>
<div class="block">Add a user getter to the named field of the object, or other
 property labeled by an identifier.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/GetSet.html#onGet(xdc.services.intern.xsr.Value.Observable, int, org.mozilla.javascript.Callable)">onGet(Value.Observable, int, Callable)</a></span> - Static method in class xdc.services.getset.<a href="./xdc/services/getset/GetSet.html" title="class in xdc.services.getset">GetSet</a></dt>
<dd>
<div class="block">Add a user getter to the indicated array element, or other
 property with a numeric index.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/GetSet.html#onSet(xdc.services.intern.xsr.Value.Observable, java.lang.String, org.mozilla.javascript.Callable)">onSet(Value.Observable, String, Callable)</a></span> - Static method in class xdc.services.getset.<a href="./xdc/services/getset/GetSet.html" title="class in xdc.services.getset">GetSet</a></dt>
<dd>
<div class="block">Add a user setter to the named field of the object, or other
 property labeled by an identifier.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/GetSet.html#onSet(xdc.services.intern.xsr.Value.Observable, int, org.mozilla.javascript.Callable)">onSet(Value.Observable, int, Callable)</a></span> - Static method in class xdc.services.getset.<a href="./xdc/services/getset/GetSet.html" title="class in xdc.services.getset">GetSet</a></dt>
<dd>
<div class="block">Add a user setter to the indicated array element, or other
 property with a numeric index.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Group.html#onSet(xdc.services.intern.xsr.Value.Observable, java.lang.String, org.mozilla.javascript.Callable)">onSet(Value.Observable, String, Callable)</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a></dt>
<dd>
<div class="block">Wrap the given function body as a Fxn and specify one
 input to fire on.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Group.html#onSet(xdc.services.intern.xsr.Value.Observable, int, org.mozilla.javascript.Callable)">onSet(Value.Observable, int, Callable)</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="_R_">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="strong"><a href="./xdc/services/getset/Group.html#removeStale(xdc.services.getset.Fxn)">removeStale(Fxn)</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a></dt>
<dd>
<div class="block">Indicate that a Fxn in the group no longer needs to be run.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Group.html#removeStale()">removeStale()</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a></dt>
<dd>
<div class="block">Indicate that no Fxn's in the group need to be run.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Fxn.html#run()">run()</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Fxn.html" title="class in xdc.services.getset">Fxn</a></dt>
<dd>
<div class="block">Execute the Fxn body.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Group.html#run()">run()</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a></dt>
<dd>
<div class="block">Run all the Fxns in the Group that need it.</div>
</dd>
</dl>
<a name="_S_">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="strong"><a href="./xdc/services/getset/Group.html#schedule(xdc.services.getset.Fxn)">schedule(Fxn)</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a></dt>
<dd>
<div class="block">Mark the given Fxn as stale, and schedule the whole group to be
 run at the next opportunity.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Scheduler.html#schedule(xdc.services.getset.Group)">schedule(Group)</a></span> - Static method in class xdc.services.getset.<a href="./xdc/services/getset/Scheduler.html" title="class in xdc.services.getset">Scheduler</a></dt>
<dd>
<div class="block">Schedule the group for execution.</div>
</dd>
<dt><a href="./xdc/services/getset/Scheduler.html" title="class in xdc.services.getset"><span class="strong">Scheduler</span></a> - Class in <a href="./xdc/services/getset/package-summary.html">xdc.services.getset</a></dt>
<dd>
<div class="block">Schedules execution of Fxns and Groups.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Scheduler.html#Scheduler()">Scheduler()</a></span> - Constructor for class xdc.services.getset.<a href="./xdc/services/getset/Scheduler.html" title="class in xdc.services.getset">Scheduler</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="./xdc/services/getset/GetSet.html#setDebug(boolean)">setDebug(boolean)</a></span> - Static method in class xdc.services.getset.<a href="./xdc/services/getset/GetSet.html" title="class in xdc.services.getset">GetSet</a></dt>
<dd>
<div class="block">Set whether to print debug trace.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Group.html#setMaxIterations(int)">setMaxIterations(int)</a></span> - Static method in class xdc.services.getset.<a href="./xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a></dt>
<dd>
<div class="block">Get the maximum number of iterations allowed in each group, as a
 debugging aid.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Setters.html#setMaxStackDepth(int)">setMaxStackDepth(int)</a></span> - Static method in class xdc.services.getset.<a href="./xdc/services/getset/Setters.html" title="class in xdc.services.getset">Setters</a></dt>
<dd>
<div class="block">Set the maximum allowed depth of recursively nested setters, as
 a debugging aid.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Group.html#setScheduled(boolean)">setScheduled(boolean)</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a></dt>
<dd>
<div class="block">Indicate that the Group has now been scheduled to be run</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Fxn.html#setStale(boolean)">setStale(boolean)</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Fxn.html" title="class in xdc.services.getset">Fxn</a></dt>
<dd>
<div class="block">Set whether the Fxn needs to be executed, typically because one
 of the inputs has changed value.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/GetSetData.html#setters">setters</a></span> - Variable in class xdc.services.getset.<a href="./xdc/services/getset/GetSetData.html" title="class in xdc.services.getset">GetSetData</a></dt>
<dd>&nbsp;</dd>
<dt><a href="./xdc/services/getset/Setters.html" title="class in xdc.services.getset"><span class="strong">Setters</span></a> - Class in <a href="./xdc/services/getset/package-summary.html">xdc.services.getset</a></dt>
<dd>
<div class="block">A setter function to be added to a field of an XDCscript
 Value.Obj object.</div>
</dd>
<dt><span class="strong"><a href="./xdc/services/getset/Setters.html#Setters(java.lang.Object)">Setters(Object)</a></span> - Constructor for class xdc.services.getset.<a href="./xdc/services/getset/Setters.html" title="class in xdc.services.getset">Setters</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="_T_">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="strong"><a href="./xdc/services/getset/Fxn.html#toString()">toString()</a></span> - Method in class xdc.services.getset.<a href="./xdc/services/getset/Fxn.html" title="class in xdc.services.getset">Fxn</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="_X_">
<!--   -->
</a>
<h2 class="title">X</h2>
<dl>
<dt><a href="./xdc/services/getset/package-summary.html">xdc.services.getset</a> - package xdc.services.getset</dt>
<dd>&nbsp;</dd>
</dl>
<a href="#_A_">A</a>&nbsp;<a href="#_C_">C</a>&nbsp;<a href="#_E_">E</a>&nbsp;<a href="#_F_">F</a>&nbsp;<a href="#_G_">G</a>&nbsp;<a href="#_H_">H</a>&nbsp;<a href="#_I_">I</a>&nbsp;<a href="#_O_">O</a>&nbsp;<a href="#_R_">R</a>&nbsp;<a href="#_S_">S</a>&nbsp;<a href="#_T_">T</a>&nbsp;<a href="#_X_">X</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="./xdc/services/getset/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="./overview-tree.html">Tree</a></li>
<li><a href="./deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="./help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="./index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="./allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
